Enable or disable identity provider
curl --request PATCH \
--url https://api.example.com/api/identity-providers/{alias}/toggle \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/identity-providers/{alias}/toggle"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/identity-providers/{alias}/toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alias": "<string>",
"display_name": "<string>",
"provider_id": "<string>",
"enabled": true,
"internal_id": "<string>",
"known_provider": "okta",
"config": {},
"mapper_count": 0
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Identity provider
Enable or disable identity provider
Enable or disable an identity provider without changing its configuration.
PATCH
/
api
/
identity-providers
/
{alias}
/
toggle
Enable or disable identity provider
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
True to enable or False to disable.
Response
Identity provider toggled.
Response for a single identity provider.
Available options:
okta, entra_id, auth0, google, github, ping_identity, onelogin, custom_oidc, custom_saml, active_directory Provider configuration. NexusOne masks the secrets.
Number of configured mappers.
Was this page helpful?

